Bug 116224 - im-sdk has build errors
Summary: im-sdk has build errors
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: im-sdk (Show other bugs)
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Yu Shao
QA Contact:
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FC2Blocker
TreeView+ depends on / blocked
 
Reported: 2004-02-19 08:05 UTC by Jens Petersen
Modified: 2007-11-30 22:10 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-02-20 16:34:16 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
fixes first error for ct_de (456 bytes, patch)
2004-02-19 08:25 UTC, Jens Petersen
no flags Details | Diff
fixes missing DESTDIR in relevant makefile (1.11 KB, patch)
2004-02-19 08:26 UTC, Jens Petersen
no flags Details | Diff

Description Jens Petersen 2004-02-19 08:05:54 UTC
Description of problem:
Warren spotted that there are several make errors occurring
during the im-sdk build.

Version-Release number of selected component (if applicable):
11.4

How reproducible:
every time

Steps to Reproduce:
1. build im-sdk and save build log
2. "grep -B3" the build log for "Error"
  
Actual results:
mkdir -p -- /var/tmp/im-sdk-11.4-root/usr/lib/im/csconv/compoundtext
/usr/bin/install -c -m 444 ct_ja ct_ko ct_zh ct_zh.GBK ct_zh_TW
ct_zh_TW.GBK ct_de ct_de ct_en_US ct_es ct_fr ct_it ct_sv 
/var/tmp/im-sdk-11.4-root/usr/lib/im/csconv/compoundtext
/usr/bin/install: will not overwrite just-created
`/var/tmp/im-sdk-11.4-root/usr/lib/im/csconv/compoundtext/ct_de' with
`ct_de'
make[4]: *** [install] Error 1
make[4]: Leaving directory
`/home/petersen/pkgs/rpms/im-sdk/im-sdk/lib/CSConv/converter/compoundtext/ct_conf'
make[3]: *** [install] Error 2
make[3]: Leaving directory
`/home/petersen/pkgs/rpms/im-sdk/im-sdk/lib/CSConv/converter/compoundtext'
make[2]: *** [install] Error 2
--
/bin/sh ../../../../../../acfiles/mkinstalldirs 
/usr/lib/im/share/icu/1.4.0
/usr/bin/install -c ../../../../converterPI/icuconv/data/cnvalias.dat
 /usr/lib/im/share/icu/1.4.0
/usr/bin/install: cannot create regular file
`/usr/lib/im/share/icu/1.4.0/cnvalias.dat': Permission denied
make[3]: *** [/usr/lib/im/share/icu/1.4.0/cnvalias.dat] Error 1

Expected results:
No matches.

Comment 1 Jens Petersen 2004-02-19 08:25:42 UTC
Created attachment 97825 [details]
fixes first error for ct_de

Comment 2 Jens Petersen 2004-02-19 08:26:51 UTC
Created attachment 97826 [details]
fixes missing DESTDIR in relevant makefile

Comment 3 Yu Shao 2004-02-20 16:34:16 UTC
Thanks Jens, fixed.


Note You need to log in before you can comment on or make changes to this bug.